Bug 1118884 - RFE: ability to change system owner from CLI
Summary: RFE: ability to change system owner from CLI
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: command line
Version: 0.17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 19.0
Assignee: Amit Saha
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On: 1014438
Blocks: 1119930
TreeView+ depends on / blocked
 
Reported: 2014-07-11 19:19 UTC by Keith Fryklund
Modified: 2018-02-06 00:41 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
: 1119930 (view as bug list)
Environment:
Last Closed: 2014-11-25 07:18:27 UTC


Attachments (Terms of Use)

Description Keith Fryklund 2014-07-11 19:19:31 UTC
Your team recently added the ability to "loan-grant" and "loan-return" via beaker-client which has been a very useful addition.

It would be helpful to the eng-ops labs and fls teams if we could also change a beaker systems "Owner" and "Condition" via beaker-client.  

-Keith Fryklund

Comment 2 Nick Coghlan 2014-07-15 21:26:34 UTC
This fits with the general theme of moving towards better support for using Beaker as a backend service platform rather than going through the main web UI, so ack'ing this one.

I'm going to split it into two RFEs though, since the two commands can be implemented and tested separately. This one can cover change-owner, and I'll move the change-condition RFE out to a new one.

Comment 3 Amit Saha 2014-08-15 02:30:45 UTC
On Gerrit: http://gerrit.beaker-project.org/#/c/3251/

Comment 4 Dan Callaghan 2014-08-18 01:20:53 UTC
change-owner is not a great name for a subcommand, since it's not clear that it's changing the system owner. Also, to avoid subcommand proliferation and to match the existing job-modify, I suggest we do

    bkr system-modify FQDN --owner=USERNAME

Similarly the other bug 1119930 would be

    bkr system-modify FQDN --condition=Broken

Comment 5 Amit Saha 2014-08-18 05:10:15 UTC
(In reply to Dan Callaghan from comment #4)
> change-owner is not a great name for a subcommand, since it's not clear that
> it's changing the system owner. Also, to avoid subcommand proliferation and
> to match the existing job-modify, I suggest we do
> 
>     bkr system-modify FQDN --owner=USERNAME
> 
> Similarly the other bug 1119930 would be
> 
>     bkr system-modify FQDN --condition=Broken

Yeah, this sounds better. Also leaves the option for adding support for modifying other system attributes.

Comment 6 Nick Coghlan 2014-08-18 05:38:42 UTC
A system-modify subcommand sounds good to me.

Comment 7 Amit Saha 2014-09-22 02:38:54 UTC
http://gerrit.beaker-project.org/#/c/3251/

Comment 10 Dan Callaghan 2014-11-25 07:18:27 UTC
Beaker 19.0 has been released.


Note You need to log in before you can comment on or make changes to this bug.